Query a database's Live Table data.
Reads rows from a Live Table, with TQL filter, ordering, column selection, and pagination.
GET
/api/solutions/{solutionId}/dataPath parameters
solutionIdstringrequiredQuery parameters
dataset_idstringrequiredoffsetintegerrequireddefault: 0limitintegerrequireddefault: 24order_bystringrequiredqstringrequiredselectstringrequiredquery_idstringRequest
curl
curl -X GET https://trickest.io/api/solutions/{solutionId}/data \
-H "Authorization: Bearer $TRICKEST_TOKEN"Responses
200Query result rows from the reporting backend
columnsstring[]requiredrowsobject[]requiredrow_countnumberrequired400Bad Request – validation error or malformed input
codestringrequiredmessagestringrequireddetailsobjectField-level detail when the error is a validation failure.
401Unauthorized – missing or expired token
codestringrequiredmessagestringrequireddetailsobjectField-level detail when the error is a validation failure.
403Forbidden – insufficient permissions
codestringrequiredmessagestringrequireddetailsobjectField-level detail when the error is a validation failure.
409Conflict – request cannot be completed in the resource's current state
codestringrequiredmessagestringrequireddetailsobjectField-level detail when the error is a validation failure.
429Too Many Requests – rate limited
codestringrequiredmessagestringrequireddetailsobjectField-level detail when the error is a validation failure.
500Internal Server Error
codestringrequiredmessagestringrequireddetailsobjectField-level detail when the error is a validation failure.